FuelPHP1.6でのUploadクラスのエラー

FuelPHPを使って開発をしていますが、Uploadクラスを使ったコードを書いていたらエラーが発生。

「"Class ‘FuelPHPUploadUpload’ not found"
    COREPATH/classes/upload.php @ line 90」

との表示。Uploadクラスのファイルはあるぞと思っていながら、サンプルコードをいくらシンプルにしてもエラーが発生。日本語の情報では、どの方のブログでもそんな問題が起きていないようだ。

さて、どうしたものか。グーグル検索で以下の事例を発見

http://fuelphp.com/forums/discussion/12596/cant-config-file-uploading

Thank you. I found the solution myself.
1) ./composer.phar self-update
2) ./composer.phar update
3) ./composer.phar require fuelphp/upload
when it asked for version I typed "1.*" 
Now it works fine with fuelphp/upload v 1.7
Versions "2.0" and "dev-master" generates error described above.

結構なやんで、以下のコマンドを実行

$php composer.phar self-update
$php composer.phar update
$php composer.phar require fuelphp/upload 1.7

私の環境は、Windows7+XamppなのでXamppのコントロールパネルからShellを立ち上げて、oilのある場所へ移動。そこで、上記のコマンドを入力しました。

結果的には、うまく行ったのですがこれはfuelPHP1.6のUploadクラスのバグなのでしょうか?

あまり情報がないのでわからないのですが。